Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.parser
Class ASTConstant

    java.lang.Object
      com.singularsys.jep.parser.SimpleNode
          com.singularsys.jep.parser.ASTConstant

All Implemented Interfaces:
  Node

    public class ASTConstant

extends SimpleNode

Constant Node

Field Summary

Fields inherited from class com.singularsys.jep.parser.SimpleNode
`children, hooks, id, parent, parser`

Constructor Summary
`ASTConstant(int id)`
`ASTConstant(Parser p, int id)`

Method Summary
`java.lang.Object` | `getValue()`
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` | `setValue(java.lang.Object val)`
`java.lang.String` | `toString()`

Methods inherited from class com.singularsys.jep.parser.SimpleNode
`childrenAccept, dump, getHook, getId, hookKeys, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setHook, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTConstant

    public ASTConstant(int id)

### ASTConstant

    public ASTConstant(Parser p,
                       int id)

Method Detail

### setValue

    public void setValue(java.lang.Object val)

### getValue

    public java.lang.Object getValue()

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)
                               throws JepException

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  Throws:
    `JepException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep